This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 250553 - man yum says "yum clean cache" is still valid, but it doesn't work
man yum says "yum clean cache" is still valid, but it doesn't work
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
noarch Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-02 03:34 EDT by Douglas Wooster
Modified: 2014-01-21 17:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 01:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Douglas Wooster 2007-08-02 03:34:02 EDT
Description of problem:
The description of yum says that "command is one of" and lists (among other 
things):

clean [ packages | headers | metadata | cache | dbcache | all ]

but the Clean Options section does not list "cache".
The actual yum command responds to "yum clean cache" with
"Error: invalid clean argument: 'cache'"

Version-Release number of selected component (if applicable):
yum-3.2.1-1.fc7

How reproducible:
100%


Steps to Reproduce:
1. Issue "yum clean cache", receive the error message.
2. Issue "man yum", read the top sections of the man page.
3. Observe that top part of man page claims "yum clean cache" is valid.
  
Actual results:
man page says "yum clean cache" is valid, but it really isn't.

Expected results:
man page matches code.

Additional info:
Comment 1 Seth Vidal 2007-08-03 01:38:22 EDT
thanks - I've checked this fix in to upstream.

Comment 2 Fedora Update System 2007-08-24 01:34:10 EDT
yum-3.2.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.